Subject: Q about the date format in "git commit --date=..." and such

From: Dirk Süsserott <[email-masked]>
Date: Sun, 06 Mar 2011 17:07:52 +0100

Hello,

I frequently change a file in my repo and commit it with
"git commit -a -C deadbeef", i.e. using an older commit message. The
"-C" switch also re-uses the author timestamp of the given SHA1, which
is not what I want. So I tried the "--date=..." switch in addition,
which works fine.

Instead of giving an exact timestamp (like "--date='06.03.2011 16:50'")
I'd prefer to just say "--date=now". Is that somehow possible? If not:
would the community appreciate it, if I would try to implement this?

I imagine to translate "now" to "localtime(time(0))". Would that be good?

Dirk